Update order status
const url = 'https://prod.store-management.glovo.alb.app.onlineservice.io/api/v3/order/stores/orders/status';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"store_id":"example","partner_name":"example","order_id":"example","status":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://prod.store-management.glovo.alb.app.onlineservice.io/api/v3/order/stores/orders/status \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "store_id": "example", "partner_name": "example", "order_id": "example", "status": "example" }'Allows the update of the order status during different stages of the preparation
Enum: “ACCEPTED” “READY_FOR_PICKUP” “OUT_FOR_DELIVERY” “PICKED_UP_BY_CUSTOMER”
ACCEPTED: The order has been accepted by the store. Be aware that if you don’t accept the order we will still move forward with the order, as we don’t require an acceptance to proceed.
READY_FOR_PICKUP: The order is ready to be picked up by a courier or the customer (Only available for orders delivered by Glovo couriers)
OUT_FOR_DELIVERY: The courier has collected the order in the store and is now being delivered to the customer (Only available for Marketplace orders)
PICKED_UP_BY_CUSTOMER: The order has been picked up by the customer (Only available for orders to be picked up by the customer)
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”The payload for status update
object
Examplegenerated
{ "store_id": "example", "partner_name": "example", "order_id": "example", "status": "example"}Responses
Section titled “Responses”Status updated
Invalid payload or parameters
Unauthorized
Internal server error